def msrlinetracking(img, num_lines=5, crossing_symbols=u'all', symbol_criterion=u'runlength', threshold=0):
    """Musicstaves Linetracking
    
    lokalizace a odstraneni notovych linek
    
    num_lines = 5 (def)
    
    crossing_symbols = [u'all'(def),u'bars',u'none']
    
    symbol_criterion = [u'runlength'(def), u'secondchord', u'mask', u'skewedruns', u'vectorfieldruns']
    
    threshold = 0 (def)

    Nechte paratemtry staffspace_height and staffline_height nulove,
    pokud je nemate dopredu vypocitane. Kdyz jsou nulove jsou vypocitany automaticky
    """
    musicstaves0 = img.MusicStaves_linetracking(staffline_height=0, staffspace_height=0)
    scale = (21/float(musicstaves0.staffspace_height + musicstaves0.staffline_height))
    img = img.scale(scale,0)
    musicstaves0 = img.MusicStaves_linetracking(staffline_height=0, staffspace_height=0)
    musicstaves0.remove_staves(crossing_symbols, num_lines, symbol_criterion, threshold, 0)
    return musicstaves0